import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';

Widget ScaffoldGradientBackground({
  required Gradient gradient,
  Key? key,
  PreferredSizeWidget? appBar,
  Widget? body,
  Widget? floatingActionButton,
  FloatingActionButtonLocation? floatingActionButtonLocation,
  FloatingActionButtonAnimator? floatingActionButtonAnimator,
  List<Widget>? persistentFooterButtons,
  Widget? drawer,
  void Function(bool)? onDrawerChanged,
  Widget? endDrawer,
  void Function(bool)? onEndDrawerChanged,
  Widget? bottomNavigationBar,
  Widget? bottomSheet,
  bool? resizeToAvoidBottomInset,
  bool primary = true,
  DragStartBehavior drawerDragStartBehavior = DragStartBehavior.start,
  bool extendBody = false,
  bool extendBodyBehingAppBar = false,
  Color? drawerScrimColor,
  double? drawerEdgeDragWidth,
  bool drawerEnableOpenDragGesture = true,
  bool endDrawerEnableOpenDragGesture = true,
  String? restorationId,
}) {
  return Container(
    decoration: BoxDecoration(
      gradient: gradient,
    ),
    child: Scaffold(
      key: key ?? null,
      appBar: appBar ?? null,
      body: body ?? null,
      floatingActionButton: floatingActionButton ?? null,
      floatingActionButtonLocation: floatingActionButtonLocation ?? null,
      floatingActionButtonAnimator: floatingActionButtonAnimator ?? null,
      persistentFooterButtons: persistentFooterButtons ?? null,
      drawer: drawer ?? null,
      onDrawerChanged: onDrawerChanged ?? null,
      endDrawer: endDrawer ?? null,
      onEndDrawerChanged: onEndDrawerChanged ?? null,
      bottomNavigationBar: bottomNavigationBar ?? null,
      bottomSheet: bottomSheet ?? null,
      backgroundColor: Colors.transparent,
      resizeToAvoidBottomInset: resizeToAvoidBottomInset ?? null,
      primary: primary,
      drawerDragStartBehavior: drawerDragStartBehavior,
      extendBody: extendBody,
      extendBodyBehindAppBar: extendBodyBehingAppBar,
      drawerScrimColor: drawerScrimColor ?? null,
      drawerEdgeDragWidth: drawerEdgeDragWidth ?? null,
      drawerEnableOpenDragGesture: drawerEnableOpenDragGesture,
      endDrawerEnableOpenDragGesture: endDrawerEnableOpenDragGesture,
      restorationId: restorationId ?? null,
    ),
  );
}
